Use the search and browse feature to view Kepware's repository of more than 500 Knowledge Base articles. Narrow your results or type your query into the search field below.

Search Solutions Results By: View All Solutions

Kepware Knowledge Base: Solution


ClientAce Dependencies and Requirements


Last Update: 11/12/2018

Supported Visual Studio Versions

.Net Version

Notes

2003

2005

2008 SP1

2010

2012

2013

ClientAce 1.1

Yes

Yes

Yes

Yes

Yes

No

.Net 1.0, 2.0

1, 2, 5, 6

ClientAce 3.5

No

No

Yes

Yes

Yes

No

.Net 3.5

1, 2, 3, 5.6

ClientAce 4.0

No

No

No

Yes

Yes

Yes

.Net 4.0, 4.5

1, 2, 4, 5, 6

Note 1: The tools used to add the ClientAce Toolbox and Menu items require C#. For that reason users must have a minimum of the C# development environment installed for the ClientAce install to succeed.
Note 2: In order for the install to succeed the Visual Studio Environment must have been configured for first time use for the User running the installation.
Note 3: ClientAce 3.5 requires Visual Studio 2008 SP1 be installed. This adds support for the .Net 3.5 framework.
Note 4: Runtime requires the Visual Studio 2010 C++ redistibutables. The installer for these files is installed as part of the ClientAce V4.0.3 install.
Note 5: ClientAce support the development of C# and VB.Net exe's and dll's only.
Note 6: Runtime projects that are distributed to PC's that have never had any OPC server or client products installed will require the OPC Foundation redistributables. The installer for these files is installed as part of the ClientAce V4.0.3 install.

Related Products
ClientAce